weipa.h File Reference
`#include <escript/DataTypes.h>`
`#include <string>`
`#include <vector>`
`#include <map>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Namespaces

| weipa

## Macros

#define | WEIPA_DLL_API

## Typedefs

typedef std::vector< float > | weipa::FloatVec
typedef std::vector< int > | weipa::IntVec
typedef std::vector< std::string > | weipa::StringVec
typedef std::vector< float * > | weipa::CoordArray
typedef std::map< int, size_t > | weipa::IndexMap
typedef boost::shared_ptr< DataVar > | weipa::DataVar_ptr
typedef boost::shared_ptr< DomainChunk > | weipa::DomainChunk_ptr
typedef boost::shared_ptr< ElementData > | weipa::ElementData_ptr
typedef boost::shared_ptr< EscriptDataset > | weipa::EscriptDataset_ptr
typedef boost::shared_ptr< NodeData > | weipa::NodeData_ptr
typedef boost::shared_ptr< const DomainChunk > | weipa::const_DomainChunk_ptr
typedef boost::shared_ptr< const EscriptDataset > | weipa::const_EscriptDataset_ptr

## Macro Definition Documentation

## WEIPA_DLL_API

#define WEIPA_DLL_API